/*
 * Class DATE_VALUE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_886 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_886 [] = {0xFF01,237,885,0xFFFF};
static const EIF_TYPE_INDEX egt_2_886 [] = {0xFF01,885,0xFFFF};
static const EIF_TYPE_INDEX egt_3_886 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_886 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_886 [] = {0xFF01,885,0xFFFF};
static const EIF_TYPE_INDEX egt_6_886 [] = {0xFF01,885,0xFFFF};
static const EIF_TYPE_INDEX egt_7_886 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_886 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_886 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_886 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_886 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_886 [] = {0xFF01,885,0xFFFF};
static const EIF_TYPE_INDEX egt_13_886 [] = {0xFF01,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_886 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_886 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_16_886 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_886 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_18_886 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_19_886 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_886 [] = {0xFF01,285,206,0xFFFF};
static const EIF_TYPE_INDEX egt_21_886 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_22_886 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_886[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_886), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_886), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_886), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_886), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_886), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_886), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_886), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_886), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_886), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_886), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_886), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_886), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06EB /*885*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_886), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12722, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_886), 12723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_886), 12724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12756, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_886), 12757, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_886), 12758, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_886), 12759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_886), 12760, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_886), 12761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12763, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_886), 12750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12945, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12764, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12930, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_886), 6686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12943, 0},
	{EIF_GENERIC(NULL), 12928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12931, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_886), 12937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12938, 0xFFFFFFFF},
};
void Init886(void)
{
	IDSC(desc_886, 0, 885);
	IDSC(desc_886 + 1, 1, 885);
	IDSC(desc_886 + 32, 397, 885);
	IDSC(desc_886 + 36, 387, 885);
	IDSC(desc_886 + 50, 407, 885);
	IDSC(desc_886 + 58, 123, 885);
	IDSC(desc_886 + 60, 402, 885);
}


#ifdef __cplusplus
}
#endif
